public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Davide Pesavento" <pesa@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: x11-libs/qscintilla/
Date: Sun, 26 Feb 2017 01:51:07 +0000 (UTC)	[thread overview]
Message-ID: <1488073853.5029d048170884b9f4051e6a9c3b81ed3b5b9fcd.pesa@gentoo> (raw)

commit:     5029d048170884b9f4051e6a9c3b81ed3b5b9fcd
Author:     Davide Pesavento <pesa <AT> gentoo <DOT> org>
AuthorDate: Sun Feb 26 01:50:53 2017 +0000
Commit:     Davide Pesavento <pesa <AT> gentoo <DOT> org>
CommitDate: Sun Feb 26 01:50:53 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5029d048

x11-libs/qscintilla: version bump (p.masked)

Finally supports side-by-side installation of qt4 and qt5 variants.

Package-Manager: Portage-2.3.3, Repoman-2.3.1

 x11-libs/qscintilla/Manifest               |   1 +
 x11-libs/qscintilla/qscintilla-2.10.ebuild | 100 +++++++++++++++++++++++++++++
 2 files changed, 101 insertions(+)

diff --git a/x11-libs/qscintilla/Manifest b/x11-libs/qscintilla/Manifest
index 7bebb5af12..80af86f450 100644
--- a/x11-libs/qscintilla/Manifest
+++ b/x11-libs/qscintilla/Manifest
@@ -1,2 +1,3 @@
+DIST QScintilla_gpl-2.10.tar.gz 2662004 SHA256 16be30577bc178470936c458551f2512cc068aff6e7a7de6ed244e28c045f6ec SHA512 fe33471de0807bc4e0d6b86e78eac70531a20c96b5c3269111d4c89eca7ccae5e55752fc2a5c8f20f37220a3ccfb6e9d7d718c02058dd8b40075d40da211a93b WHIRLPOOL 40973a8f925e7a2545b8960ad09547ea62ac7e67ac964a00f775dd62259f8cfe7420a7bfb18e4cfce83ecfa67af68a43742ebee36e89fa89e4bc9b6204601429
 DIST QScintilla_gpl-2.9.2.tar.gz 2491222 SHA256 f2c8ccdc9d3dbb90764ceed53ea096da9bb13b6260da1324e6ab4ecea29e620a SHA512 28f88111d7eb6a016a4b87f04d2b7f5d6481b521a3361a526b3b45a56240f5c8de10310e819234fcba773c6df73bf398ae2dce622976a8e760f506be1defb7c8 WHIRLPOOL a04420c66fd417e5304c92a1ee3c1998f6849bccb9088dae96ed48c06cab0a9b1c012f073aafb1e05aaee46564de9ac89ae07145f3ded35cf47beac78065650a
 DIST QScintilla_gpl-2.9.4.tar.gz 2557199 SHA256 8b3a23023e9f0573caed6f9cee86f898d87b768ee15b8c211a423783a4cfa4e6 SHA512 5a2eebbe523a0f2f1c7bc63ce5ee9cb8793a597d00eea5b638f18f90d6e798e92c281be23ee5e7072d5afced9e1fccb6ae51526a3623d373d57c3db64d026b16 WHIRLPOOL 68aacdcd0fc7102494ccae1f0ea3e222845bdd3f9bef603d89fe50d50dba6ac77471228a84c1c281a46ccf74bdb6902aa3bb21f89388ec5408bdde5876cf8655

diff --git a/x11-libs/qscintilla/qscintilla-2.10.ebuild b/x11-libs/qscintilla/qscintilla-2.10.ebuild
new file mode 100644
index 0000000000..0a2c0de126
--- /dev/null
+++ b/x11-libs/qscintilla/qscintilla-2.10.ebuild
@@ -0,0 +1,100 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit flag-o-matic multibuild qmake-utils
+
+MY_P=QScintilla_gpl-${PV/_pre/.dev}
+
+DESCRIPTION="A Qt port of Neil Hodgson's Scintilla C++ editor class"
+HOMEPAGE="https://www.riverbankcomputing.com/software/qscintilla/intro"
+SRC_URI="mirror://sourceforge/pyqt/${MY_P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0/13"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="designer doc +qt4 qt5"
+
+REQUIRED_USE="|| ( qt4 qt5 )"
+
+DEPEND="
+	qt4? (
+		dev-qt/qtcore:4
+		dev-qt/qtgui:4
+		designer? ( dev-qt/designer:4 )
+	)
+	qt5? (
+		dev-qt/qtcore:5
+		dev-qt/qtgui:5
+		dev-qt/qtprintsupport:5
+		dev-qt/qtwidgets:5
+		designer? ( dev-qt/designer:5 )
+	)
+"
+RDEPEND="${DEPEND}"
+
+S=${WORKDIR}/${MY_P}
+
+src_unpack() {
+	default
+
+	# Sub-slot sanity check
+	local subslot=${SLOT#*/}
+	local version=$(sed -nre 's:.*VERSION\s*=\s*([0-9\.]+):\1:p' "${S}"/Qt4Qt5/qscintilla.pro)
+	local major=${version%%.*}
+	if [[ ${subslot} != ${major} ]]; then
+		eerror
+		eerror "Ebuild sub-slot (${subslot}) does not match QScintilla major version (${major})"
+		eerror "Please update SLOT variable as follows:"
+		eerror "    SLOT=\"${SLOT%%/*}/${major}\""
+		eerror
+		die "sub-slot sanity check failed"
+	fi
+
+	MULTIBUILD_VARIANTS=( $(usev qt4) $(usev qt5) )
+	multibuild_copy_sources
+}
+
+qsci_run_in() {
+	pushd "$1" >/dev/null || die
+	shift || die
+	"$@" || die
+	popd >/dev/null || die
+}
+
+src_configure() {
+	use qt4 && append-cxxflags -std=gnu++0x
+	if use designer; then
+		# prevent building against system version (bug 466120)
+		append-cxxflags -I../Qt4Qt5
+		append-ldflags -L../Qt4Qt5
+	fi
+
+	configure() {
+		qsci_run_in Qt4Qt5 eqmake${MULTIBUILD_VARIANT#qt}
+		use designer && qsci_run_in designer-Qt4Qt5 eqmake${MULTIBUILD_VARIANT#qt}
+	}
+	multibuild_foreach_variant run_in_build_dir configure
+}
+
+src_compile() {
+	compile() {
+		qsci_run_in Qt4Qt5 emake
+		use designer && qsci_run_in designer-Qt4Qt5 emake
+	}
+	multibuild_foreach_variant run_in_build_dir compile
+}
+
+src_install() {
+	install() {
+		qsci_run_in Qt4Qt5 emake INSTALL_ROOT="${D}" install
+		use designer && qsci_run_in designer-Qt4Qt5 emake INSTALL_ROOT="${D}" install
+	}
+	multibuild_foreach_variant run_in_build_dir install
+
+	DOCS=( ChangeLog NEWS )
+	use doc && HTML_DOCS=( doc/html-Qt4Qt5/. )
+	einstalldocs
+}


             reply	other threads:[~2017-02-26  1:51 UTC|newest]

Thread overview: 102+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-02-26  1:51 Davide Pesavento [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-01-22 21:57 [gentoo-commits] repo/gentoo:master commit in: x11-libs/qscintilla/ Andreas Sturmlechner
2024-05-08  7:54 Michał Górny
2024-04-16 16:30 Jimi Huotari
2023-10-18 15:42 Arthur Zamarin
2023-10-18  9:02 Sam James
2023-10-18  9:02 Sam James
2023-10-18  9:02 Sam James
2023-10-18  9:02 Sam James
2023-09-17  6:17 Sam James
2022-11-23 21:18 Andreas Sturmlechner
2022-10-28 18:55 Sam James
2022-10-28 18:55 Sam James
2022-10-28 18:52 Arthur Zamarin
2022-10-28 16:36 Arthur Zamarin
2022-10-28 16:33 Arthur Zamarin
2022-09-26 17:18 Andreas Sturmlechner
2022-09-26 17:18 Andreas Sturmlechner
2022-06-01  5:25 Sam James
2022-06-01  5:25 Sam James
2022-06-01  2:29 Sam James
2022-06-01  1:56 Sam James
2022-06-01  1:55 Sam James
2021-10-22  3:02 Davide Pesavento
2021-10-19  4:29 Davide Pesavento
2021-10-11 22:22 Yixun Lan
2021-08-04  1:06 Davide Pesavento
2021-07-31  6:23 Sam James
2021-07-31  4:14 Sam James
2021-07-30 15:14 Agostino Sarubbo
2021-07-09  2:47 Davide Pesavento
2021-07-09  2:47 Davide Pesavento
2021-06-23 19:57 Davide Pesavento
2020-12-17  1:17 Davide Pesavento
2020-11-07 17:57 Sam James
2020-11-06  5:21 Sam James
2020-08-30  0:33 Davide Pesavento
2020-08-30  0:19 Sam James
2020-08-18 11:16 Agostino Sarubbo
2020-06-16  5:47 Davide Pesavento
2020-03-26 18:38 Davide Pesavento
2020-03-22 10:37 Agostino Sarubbo
2020-03-21 16:49 Agostino Sarubbo
2020-03-21 15:52 Agostino Sarubbo
2020-03-07 15:11 Michał Górny
2020-02-16  7:52 Michał Górny
2020-01-11 19:25 Davide Pesavento
2019-12-31 14:16 Agostino Sarubbo
2019-12-31 14:06 Agostino Sarubbo
2019-12-31 14:02 Agostino Sarubbo
2019-12-27  1:01 Davide Pesavento
2019-12-23  0:09 Davide Pesavento
2019-12-03  2:57 Davide Pesavento
2019-11-16 19:55 Davide Pesavento
2019-04-03  1:14 Davide Pesavento
2019-03-21 20:46 Davide Pesavento
2019-03-21 20:30 Davide Pesavento
2018-12-31 23:44 Davide Pesavento
2018-12-31 22:27 Davide Pesavento
2018-12-29 19:12 Thomas Deutschmann
2018-12-25 19:46 Sergei Trofimovich
2018-12-15 20:37 Davide Pesavento
2018-10-07 23:22 Davide Pesavento
2018-08-25 18:48 Davide Pesavento
2018-08-25 18:11 Davide Pesavento
2018-07-14 20:16 Sergei Trofimovich
2018-07-09 14:02 Mikle Kolyada
2018-07-06 13:43 Thomas Deutschmann
2018-04-26  3:32 Andreas Sturmlechner
2018-04-26  3:01 Matt Turner
2018-04-15 17:16 Davide Pesavento
2018-04-15 14:41 Sergei Trofimovich
2018-04-12 19:07 Thomas Deutschmann
2018-04-06 15:51 Aaron Bauman
2018-03-04 22:16 Davide Pesavento
2017-11-27 23:58 Andreas Sturmlechner
2017-11-26 19:15 Sergei Trofimovich
2017-11-26 12:17 Sergei Trofimovich
2017-11-25  0:54 Davide Pesavento
2017-11-25  0:33 Davide Pesavento
2017-11-20 15:42 Manuel Rüger
2017-11-02 21:16 Thomas Deutschmann
2017-09-30  7:18 Sergei Trofimovich
2017-08-19 18:40 Davide Pesavento
2017-05-26 14:59 Agostino Sarubbo
2017-05-26 14:05 Agostino Sarubbo
2017-05-24 13:42 Agostino Sarubbo
2017-05-23 23:25 Michael Weber
2017-04-23 23:37 Davide Pesavento
2017-01-25  0:54 Davide Pesavento
2017-01-01 14:20 Michael Palimaka
2016-12-31  6:02 Andrey Grozin
2016-12-23  1:24 Davide Pesavento
2016-12-22 18:26 David Seifert
2016-10-02 10:08 Jeroen Roovers
2016-07-27  9:31 Davide Pesavento
2016-07-14 20:43 Davide Pesavento
2016-07-13 21:22 Michael Palimaka
2016-04-23 22:36 Davide Pesavento
2016-04-20  0:40 Davide Pesavento
2016-04-20  0:40 Davide Pesavento
2015-10-24 15:44 Davide Pesavento

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1488073853.5029d048170884b9f4051e6a9c3b81ed3b5b9fcd.pesa@gentoo \
    --to=pesa@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox